// components/home/home.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    list:{
      type:Array,
      value:null
    },
    data:{
      type:Object,
      value:null,
    },
    city:{
      type:String,
      value:null
    },
    isLoading:{
      type:Boolean,
      value:false
    },
    scrollTop:{
      type:Number,
      value:0,
      observer: function(newVal, oldVal, changedPath) {
        if (this.data.hidden) {
          this.data.scrollToTop = newVal
        }
      }
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    index:0,
    scrollToTop:0
  },

  /**
   * 组件的方法列表
   */
  methods: {
    tapSearchAction:function() {
      wx.navigateTo({
        url: '/pages/search/search'
      });
    },

    tapHouseAction:function (e) {
      let {currentId} = e.currentTarget.dataset;
      wx.navigateTo({
        url: `/pages/houseDetail/houseDetail?id=${currentId}`
      });
    },
  
    tapMoreAction:function() {
      wx.navigateTo({
        url: '/pages/moreTV/moreTV'
      });
    },

    tapMoreHouse:function () {
      wx.navigateTo({
        url: '/pages/houseList/houseList'
      });
    },

    tapCityAction:function () {
      wx.navigateTo({
        url: '/pages/citySelect/citySelect'
      });
    },
    tapVideoAction:function(e) {
      const {currentItem} = e.currentTarget.dataset;
      const {videoId} = currentItem;
      if (videoId && videoId.length) {
        wx.navigateTo({
          url: `/pages/video/video?id=${videoId}`
        });
      }
    },

    onSlideChangeEnd:function(e) {
      this.data.index = e.detail.current;
    }

  }
})
