// 请注意常量的命名必须是Page
const Page = require('../../utils/ald-stat.js').Page;
const net = require('../../utils/net.js');
const util = require('../../utils/util.js');
const {
  api_all_house
} = require('../../utils/api.js');

const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    houseId: null,
    isLoading: true,
    houseList: null,
    userInfo: null,
    // page: 1,
    // pageSize: 8,
    canLoadMore: true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options && options.houseId) {
      this.data.houseId = options.houseId;
      this.getAllHouselist();
    }

    const userInfo = util.getStorageSync("userInfo");
    if (userInfo) {
      this.setData({
        userInfo: userInfo
      })
    }
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  // onReachBottom: function () {
  //   if (this.data.canLoadMore) {
  //     this.data.page = this.data.page + 1;
  //     this.getAllHouselist();
  //   }
  // },


  getAllHouselist: function () {
    let params = {};
    params.url = api_all_house;

    params.data = {
      houseId: Number(this.data.houseId)
      // page: this.data.page,
      // pageSize: this.data.pageSize
    };
    this.data.canLoadMore = false;
    net.req(params, true).then((data) => {
      let list = this.data.houseList || new Array();
      if (data.list && Array.isArray(data.list)) {
        if (!data.list.length && !list.length) {
          this.setData({
            isLoading: false,
            houseList: null
          });
        } else {
          this.data.canLoadMore = !(data.list < this.data.pageSize); // 这里设置不能加载更多为false，在对应条件要设置为true
          this.setData({
            isLoading: false,
            houseList: list.concat(data.list)
          });
        }
      } else {
        this.data.canLoadMore = false; // 这里设置不能加载更多为false，在对应条件要设置为true
      }
    }, (e) => {
      this.data.canLoadMore = true;
      this.setData({
        isLoading: false,
      });
    });
  },







})