// 请注意常量的命名必须是Page
const Page = require('../../utils/ald-stat.js').Page;
const net = require('../../utils/net.js');
const util = require('../../utils/util.js');
const {
  api_get_collect,
  api_house_cancel_collect
} = require('../../utils/api.js');
Page({
  data: {
    list: null,
    isLoading: true,
    pageSize: 8,
    page: 1,
    canLoadMore: true
  },
  onLoad: function (options) {

  },
  onShow: function () {
    this.setData({
      list: null,
      isLoading: true,
      pageSize: 8,
      page: 1
    })
    this.loadWithData();
  },

  loadWithData: function () {
    let params = {};
    params.url = api_get_collect;
    params.data = {
      cate: 1,
      pageSize: this.data.pageSize,
      page: this.data.page
    };
    net.req(params, true).then((data) => {
      let list = this.data.list || new Array();
      if (!Array.isArray(data.list) || data.list.length < this.data.pageSize) {
        this.data.canLoadMore = false
      } else {
        this.data.canLoadMore = true
      }
      this.setData({
        isLoading: false,
        list: list.concat(data.list)
      });
    }, (e) => {
      this.setData({
        isLoading: false,
        list: null
      });
    });
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.canLoadMore) {
      this.data.page = this.data.page + 1;
      this.loadWithData();
    }
  },

  tapLongpressAction: function (e) {
    const {
      currentIndex
    } = e.currentTarget.dataset;
    const me = this;
    util.showModal({
      title: '提示',
      content: '确定删除该收藏？',
      confirmText: '确定',
      success: function (res) {
        if (res.confirm) {
          me.cancelCollect(currentIndex);
        }
      }
    });
  },

  cancelCollect: function (index) {
    let {
      id
    } = this.data.list[index];
    let params = {};
    params.url = api_house_cancel_collect;
    params.data = {
      cate: 1,
      hid: id
    };
    net.req(params, true).then((data) => {
      this.data.list.splice(index, 1);
      this.setData({
        list: this.data.list
      });
    });
  }
})